%define pkgname RMagick
Summary:	Graphics Processing library for Ruby
Summary(pl.UTF-8):	Biblioteka przetwarzania grafiki dla Ruby
Name:		ruby-%{pkgname}
Version:	2.13.4
Release:	2
License:	Ruby-alike
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/rmagick-%{version}.gem
# Source0-md5:	2be71aebd8050fdc0c09ae33a8590af7
Patch0:		format-security.patch
Patch1:		rubygems.patch
Patch2:		disable-hanging-handler.patch
Patch3:		disable-tests.patch
URL:		https://github.com/gemhome/rmagick
BuildRequires:	ImageMagick-coder-dot
BuildRequires:	ImageMagick-coder-fpx
BuildRequires:	ImageMagick-coder-jbig
BuildRequires:	ImageMagick-coder-jpeg
BuildRequires:	ImageMagick-coder-jpeg2
BuildRequires:	ImageMagick-coder-miff
BuildRequires:	ImageMagick-coder-mpr
BuildRequires:	ImageMagick-coder-pdf
BuildRequires:	ImageMagick-coder-png
BuildRequires:	ImageMagick-coder-ps2
BuildRequires:	ImageMagick-coder-svg
BuildRequires:	ImageMagick-coder-tiff
BuildRequires:	ImageMagick-coder-url
BuildRequires:	ImageMagick-coder-wmf
BuildRequires:	ImageMagick-devel >= 1:6.7.0.7-2
BuildRequires:	rpmbuild(macros) >= 1.484
BuildRequires:	ruby >= 1:1.8.6
BuildRequires:	ruby-devel
BuildRequires:	ruby-modules
BuildRequires:	ruby-rake
BuildRequires:	ruby-rake-compiler
BuildRequires:	ruby-rdoc
BuildConflicts:	ruby-RMagick < 1.7.2
%requires_eq_to	ImageMagick-libs ImageMagick-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An interface to the ImageMagick and GraphicsMagick image processing
libraries. Supports more than 80 image formats, including GIF, JPEG,
PNG. Includes 2D drawing API. Comprehensive HTML documentation.

%description -l pl.UTF-8
Jest to interfejs do bibliotek przetwarzania grafiki ImageMagick i
GraphicsMagick. Wspiera ponad 80 formatów graficznych, włączając w to
GIF, JPEG, PNG. Zawiera API dla dwuwymiarowego rysowania. Obszerna
dokumentacja w HTML-u.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
# write .gemspec
%__gem_helper spec

# make gemspec self-contained
ruby -r rubygems -e 'spec = eval(File.read("rmagick.gemspec"))
	File.open("%{pkgname}-%{version}.gemspec", "w") do |file|
	file.puts spec.to_ruby_for_cache
end'

rake \
	CC="%{__cc}" \
	LDFLAGS="%{rpmldflags}" \
	CFLAGS="%{rpmcflags} -fPIC"

rdoc --ri --op ri ext/RMagick lib
rdoc --op rdoc ext/RMagick lib
%{__rm} ri/created.rid

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_vendorarchdir},%{ruby_ridir},%{ruby_specdir},%{ruby_rdocdir}/%{name}-%{version},%{_examplesdir}/%{name}}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
%{__rm} $RPM_BUILD_ROOT%{ruby_vendorlibdir}/RMagick2.so

# install ext
install -p lib/RMagick2.so $RPM_BUILD_ROOT%{ruby_vendorarchdir}

cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc/* $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}

# install gemspec
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc ChangeLog README.textile CONTRIBUTING.md
%{ruby_vendorlibdir}/RMagick*
%{ruby_vendorlibdir}/rmagick*
%{ruby_vendorlibdir}/rvg*
%attr(755,root,root) %{ruby_vendorarchdir}/*.so
%{ruby_specdir}/%{pkgname}-%{version}.gemspec
%{_examplesdir}/%{name}

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Magick
%changelog
* Tue Aug 11 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-RMagick.git;a=log;h=master

* Tue Aug 11 2015 Elan Ruusamäe <glen@delfi.ee> 58b7f9a
- noarch rdoc and ri subpackages

* Sun Mar 22 2015 Jan Rękorajski <baggins@pld-linux.org> 3ae1e76
- disable broken tests

* Tue Mar 17 2015 Jan Rękorajski <baggins@pld-linux.org> b283599
- updated to 2.13.4, new URL and source locations
- fix format string errors
- fix missing rubygems import
- work aroud hanging exception handler on ImageMagick 6.9.x

* Tue Jul 22 2014 Elan Ruusamäe <glen@delfi.ee> 15a8f41
- ruby 2.0 rebuld
- release 5 (by relup.sh)

* Sat Nov 23 2013 Jan Rękorajski <baggins@pld-linux.org> c3075a2
- release 4 (by relup.sh)

* Mon Nov 04 2013 Jan Rękorajski <baggins@pld-linux.org> 021336c
- release 3 (by relup.sh)

* Sun Jun 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 56890ec
- release 2 (by relup.sh)

* Sat Apr 06 2013 Jan Rękorajski <baggins@pld-linux.org> eb8d99d
- 0 updated to 2.13.2

* Sat Apr 06 2013 Jan Rękorajski <baggins@pld-linux.org> fec1f27
- disable rdoc BR to rebuild with older ruby packages

* Sat Apr 06 2013 Jan Rękorajski <baggins@pld-linux.org> 8267e0a
- rel 8

* Sat Apr 06 2013 Jan Rękorajski <baggins@pld-linux.org> 8f8814d
- rel 7

* Sat Apr 06 2013 Jan Rękorajski <baggins@pld-linux.org> c10e362
- BR ruby-rdoc

* Sat Apr 06 2013 Jan Rękorajski <baggins@pld-linux.org> aa60b1d
- remove unneeded, problematic hunk

* Thu Apr 04 2013 Jan Rękorajski <baggins@pld-linux.org> 64ea689
- release 6 (by relup.sh)

* Fri Mar 09 2012 Jan Rękorajski <baggins@pld-linux.org> b565bfd
- release 5

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> 49965b6
- release 4 (rebuild against ImageMagick-6.7.5.3)

* Thu Nov 24 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> a9eb7c4
- release 3

* Fri Sep 09 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 1eede13
- release 2

* Fri Jun 24 2011 Jan Rękorajski <baggins@pld-linux.org> e34a1c6
- use rm macro

* Fri Jun 24 2011 Jan Rękorajski <baggins@pld-linux.org> dec9ac7
- rel 1
- require ImageMagick with configs readable by all

